%global commit 736ab0e608cf9b20d92f36a873bb1152240daa98
%global gitdate 20200730
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:     openalpr
Version:  2.3.0
Release:  2.%{gitdate}git%{shortcommit}%{?dist}
Summary:  OpenALPR
License:  AGPLv3
URL:      https://github.com/openalpr/openalpr  
source:   https://github.com/openalpr/openalpr/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
# Fix path for tesseract 4 in C8, which has data path like previous versions
Patch0: openalpr-c8-tessdata-path.patch
requires: tesseract, log4cplus
Requires: libopenalpr2-data
BuildRequires:	tesseract-devel, opencv-devel, log4cplus-devel

%if 0%{?fedora} >= 21 || 0%{?rhel} >= 8
%global pyver 3.6
%else
%global pyver 2.7
%endif
 
%package utils
Summary:  OpenALPR miscellaneous utilities
%description utils
OpenALPR miscellaneous utilities

%package daemon
Summary:  OpenALPR Daemon
Requires: libopenalpr2-data
%description daemon
OpenALPR daemon runs license plate recognition in the background

%package -n libopenalpr-devel
Summary:  OpenALPR Development headers
%description -n libopenalpr-devel
OpenALPR Development headers

%package -n libopenalpr2-data
Summary:  OpenALPR runtime data
%description -n libopenalpr2-data
OpenALPR runtime data

%package -n libopenalpr2
Summary:  OpenALPR libs
%description -n libopenalpr2
OpenALPR libs

%package -n python-openalpr
Summary:  OpenALPR Python bindings
%description -n python-openalpr
OpenALPR Python bindings


%description
OpenALPR is an open source Automatic License Plate Recognition library written in C++ 
with bindings in C#, Java, Node.js, Go, and Python. The library analyzes images and 
video streams to identify license plates. The output is the text representation of 
any license plate characters

%changelog
* Sun Feb 28 2016 mhill
  First spec release


%prep

# Extract the Source0 tar
%setup -n %{name}-%{commit}/src
%patch0 -p2
perl -pi -e 's/python2\.7/python%{pyver}/' bindings/python/CMakeLists.txt


%build

# Manually set all paths
cmake -DCMAKE_INSTALL_PREFIX=/usr .

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


mv $RPM_BUILD_ROOT/usr/lib/python%{pyver}/dist-packages $RPM_BUILD_ROOT/usr/lib/python%{pyver}/site-packages 
#find $RPM_BUILD_ROOT/usr/lib/python%{pyver}/site-packages -name "*.pyc" -print -delete

mv $RPM_BUILD_ROOT/usr/share/openalpr/runtime_data/ocr/tessdata/* $RPM_BUILD_ROOT/usr/share/openalpr/runtime_data/ocr/
rmdir $RPM_BUILD_ROOT/usr/share/openalpr/runtime_data/ocr/tessdata/



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
   
%config(noreplace)	/etc/openalpr/openalpr.conf 
%{_bindir}/alpr
%{_mandir}/man1/alpr.1.gz
/usr/share/openalpr/config/openalpr.defaults.conf


   %exclude /usr/lib/pkgconfig/openalpr.pc
   %exclude /usr/include/openalprgo.h


%files utils
%defattr(-,root,root,-)
%{_bindir}/openalpr-utils-*

%files daemon
%defattr(-,root,root,-)
%config(noreplace)	/etc/openalpr/alprd.conf
%{_bindir}/alprd
/usr/share/openalpr/config/alprd.defaults.conf

%files -n libopenalpr-devel
%defattr(-,root,root,-)
  /usr/include/alpr.h
  /usr/include/alpr_c.h
  /usr/lib/libopenalpr-static.a

%files -n libopenalpr2-data
%defattr(-,root,root,-)
  /usr/share/openalpr/runtime_data/

%files -n libopenalpr2
%defattr(-,root,root,-)
  /usr/lib/*.so*

%files -n python-openalpr
%defattr(-,root,root,-)
  /usr/lib/python%{pyver}/site-packages/openalpr/*.py
  /usr/lib/python%{pyver}/site-packages/openalpr/__pycache__/*.py[co]
